/* 12:05 15-Aug-92  (fin.h)  Financial Routine Header */

#ifndef FINH

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

/************************************************************************
 * Copyright(C) 1992 High-Tech Communications.                          *
 * 103 Buckskin Court, Sewickley, PA 15143                              *
 *                                                                      *
 * Written by Casimir C. Klimasauskas                                   *
 *                                                                      *
 * All rights reserved.  No part of this program may be reproduced,     *
 * stored in a retrieval system, or tramsmitted, in any form or by any  *
 * means, electronic, mechanical, photocopying, recording or otherwise  *
 * without the prior written permission of the copyright owner,         *
 * High-Tech Communications.                                            *
 *                                                                      *
 * These programs are supplied on an "as-is" basis with no warranties   *
 * of fitness or operability, either express or implied.                *
 *                                                                      *
 ************************************************************************
 */

/************************************************************************
 *									*
 *	Support for ANSI and non-ANSI compilers				*
 *									*
 ************************************************************************
 */

#ifdef ANSI
#define	ARGS(x)	x	/* ANSI */
#else
#define	ARGS(x)	()	/* non-ANSI */
#endif

/************************************************************************
 *									*
 *	Maximum Limits for this system.  Data is dynamically allocated.	*
 *									*
 ************************************************************************
 */

#define	MAXSL		256	/* max session line size */
#define	MAXTL		32	/* max length of a ticker symbol */

#define MAXFIELD	513	/* max number of merged fields */
#define	MAXTF		1024	/* max number of transformed fields */
#define	MAXFL		8192	/* max size of data-base line */
#define	MAXVECSIZE	0xfff0L	/* max size for a vector */

/************************************************************************
 *									*
 *	Global Routine Definitions					*
 *									*
 ************************************************************************
 */

/* --- Dictionary Routines --- */

double Asc2NumD ARGS((char *,int));	/* convert number to double */

long  Date2BinL ARGS((char *));	/* convert date to long */
char *Date2StrCP ARGS((long));	/* convert a long to date */

void  DCFreeV();		/* free dictionary structures */
void  DCInitV ARGS((long));	/* initialize dictionary */
char *DCLwrPkCP ARGS((char *));	/* pack & convert to lower case */
char *DCDupCP ARGS((char *));	/* store string in dictionary */

#define	FINH	1
#endif	/* ifndef FINH */
